
import gql from "graphql-tag";

export const pizzaSchema = gql`
  type Pizza {
    id: ID!
    name: String!
    toppings: [Topping!]!
  }

  type Topping {
    id: ID!
    name: String!
  }

  type Query {
    getPizzaById(pizzaId: ID!): Pizza!
    getToppingById(toppingId: ID!): Topping!
    getPizzaByName(pizzaName: ID!): Pizza!
    getToppingByName(toppingName: ID!): Topping!
    listPizza: [Pizza]!
    listTopping: [Topping]!
  }
`;